summaryrefslogtreecommitdiff
path: root/sofort
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2021-06-13 07:28:30 +0000
committermidipix <writeonce@midipix.org>2021-06-13 07:29:08 +0000
commitebe6b02ebff77c11d6fabf777e7155247d0657e8 (patch)
tree7f11c4835c713640de898051f3866c43fd1db4ec /sofort
parent90d0d70726142c6b35b76119fb4c229eb27437ac (diff)
downloadapimagic-ebe6b02ebff77c11d6fabf777e7155247d0657e8.tar.bz2
apimagic-ebe6b02ebff77c11d6fabf777e7155247d0657e8.tar.xz
build system: configure, ccenv: enhanced --sysroot logic.
Diffstat (limited to 'sofort')
-rw-r--r--sofort/ccenv/ccenv.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/sofort/ccenv/ccenv.sh b/sofort/ccenv/ccenv.sh
index 464b309..a13aa07 100644
--- a/sofort/ccenv/ccenv.sh
+++ b/sofort/ccenv/ccenv.sh
@@ -28,8 +28,10 @@
# variables available to cfgdefs.sh and cfgfini.sh:
# ccenv_host_cflags: expanded cflags, valid for the host compiler
# ccenv_host_ldflags: expanded ldflags, valid for the host compiler
+# ccenv_host_sysroot: host sysroot, as reported by the host compiler
# ccenv_native_cflags: expanded cflags, valid for the native compiler
# ccenv_native_ldflags: expanded ldflags, valid for the native compiler
+# ccenv_native_sysroot: native sysroot, as reported by the native compiler
ccenv_usage()
{
@@ -1507,8 +1509,12 @@ ccenv_output_defs()
ccenv_cflags="${ccenv_cflags#*: }"
ccenv_ldflags="${ccenv_ldflags#*: }"
+ ccenv_sysroot=$(eval $ccenv_cc $(printf '%s' "$ccenv_cflags") \
+ -print-sysroot 2>/dev/null || true)
+
eval 'ccenv_'${ccenv_cfgtype}'_cflags'=\'$ccenv_cflags\'
eval 'ccenv_'${ccenv_cfgtype}'_ldflags'=\'$ccenv_ldflags\'
+ eval 'ccenv_'${ccenv_cfgtype}'_sysroot'=\'$ccenv_sysroot\'
eval 'ccenv_'${ccenv_cfgtype}'_cc'=\'$ccenv_cc\'
eval 'ccenv_'${ccenv_cfgtype}'_cc_environment'=\'$ccenv_cc_environment\'